﻿using DistributedGA.Core.Domain;
using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;

namespace DistributedGA.Core.Interface
{
    [ServiceContract]
    public interface IContactService
    {
        [OperationContract]
        void RegisterPeer(PeerInfo source); //Registers own instance at the contact-server

        [OperationContract]
        List<PeerInfo> GetPeerList(PeerInfo source); //Recieves all peers in the network from contact-server

        [OperationContract]
        void UpdateHeartbeat(PeerInfo source); //Sends heartbeat to contact-server

        [OperationContract]
        void MakeLog(PeerInfo source, string msg); //Used to log all peers at a single location

    }
}
